# Post Activity

## Get Activity

`Get` <https://example.com/wp-json/dt-posts/v2/{post_type}/{post_id}/activity>

### Parameters

* **number** (int) optional. How many activities to return
* **offset** (int) optional. How many activities to skip (for pagination)

### Returns

```
[ 
   activity: (array) An array of activities. See below for format.
   total: (int) the number of activities in total
]
```

Activity list format:

```javascript
[
  {
    "meta_key":"overall_status",
    "gravatar":"http:\/\/2.gravatar.com\/avatar\/id?s=16&d=mm&r=g",
    "name":"Me", //name of the user who did the activity
    "object_note":"Overall Status: Active",
    "hist_time":"1559128822", //when the activity happened
    "meta_id":"150", // the ID of the related post_meta field
    "histid":"179" // the ID of the activity
  },
  {
    ...activity2...
  }
]
```

## Get Singe Activity

`Get` <https://example.com/wp-json/dt-posts/v2/{post_type}/{post_id}/activity/{activity_id}>

### Returns

(array) The activity array.

Activity list format:

```javascript
{
  "meta_key":"overall_status",
  "gravatar":"http:\/\/2.gravatar.com\/avatar\/id?s=16&d=mm&r=g",
  "name":"Me", //name of the user who did the activity
  "object_note":"Overall Status: Active",
  "hist_time":"1559128822", //when the activity happened
  "meta_id":"150", // the ID of the related post_meta field
  "histid":"179" // the ID of the activity
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.disciple.tools/theme-core/api-posts/post-activity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
